-- fader lua


fader = class:new()


function fader:init()

	self.State = "in"
	self.Alpha = 255
	self.Speed = 325
	self.Target = ""
	

-- Change 'the colors of fade' :)
	self.r = 0
	self.g = 0
	self.b = 0

end


function fader:update( dt )

	local g = love.graphics

	if g.isCreated() then
	
	-- FADE OUT
		if self.State == "out" and self.State ~= "in" then

			if self.Alpha < 255 then
				self.Alpha = self.Alpha + self.Speed * dt
			end
			
			if self.Alpha > 255 then 
				self.Alpha = 255	
			end
					
		end

	-- FADE IN
		if self.State == "in" and self.State ~= "out" then

			if self.Alpha > 0 then
				self.Alpha = self.Alpha - self.Speed * dt
			end
			
			if self.Alpha < 0 then 
				self.Alpha = 0	
			end
		end
	
	-- DEFINE THE READY STATES
		if self.Alpha == 0 or self.Alpha == 255 then self.State = "ready" end		
		local ready = self.State == "ready" and switch
		if ready and type( self.Target ) == "function" then 
			self.Target()
			self.State = "in"
			self.Target = ""
			switch = false
		elseif ready and self.Target == "exit" then
			love.event.push( 'quit' )
		elseif ready and self.Target ~= "exit" then 
			gamestate.switch(self.Target)
			self.State = "in"
			self.Target = ""
			switch = false			
		end
		
	end
	
end


function fader:draw()

	local g = love.graphics

	if self.Alpha ~= nil then
	
			g.setColor(self.r, self.g, self.b, self.Alpha)
			g.rectangle("fill", 0, 0, width, height)
			g.setColorMode("modulate")
					
	end
	
end


function fader:fadeTo( target )

	self.State = "out"
	switch = true
	self.Target = target
	
end


function fader:isReady()

	if self.state == "ready" then return true
	else return false
	end

end