-- credits lua

credits = gamestate:new()

function credits:init()

	local f = love.filesystem
	
	self.table = {}
	
	for line in f.lines( "credits.txt" ) do
		table.insert( self.table, line )
	end

end

function credits:enter()

	menuItem:init()
	menuItem:new( "Back", width / 2, 300 + 32 * 5 )

end

function credits:update( dt )

	menuItem:update( dt )

end

function credits:draw()
	
	local g = love.graphics
	
	g.setColor( 255, 255, 255 )
	g.setBackgroundColor( 0, 0, 0 )
	for line = 1, #self.table do
		g.setFont( font_normal )
		g.printf( tostring( self.table[ line ] ), width / 2 - 400 / 2, 0 + ( 15 * line ) , 400, "center" )
	end
	menuItem:draw()

end

function credits:keypressed( key )
		
	if key == "return" then
	
		if menuItem:current( "Back" ) then fader:fadeTo( menu ) end
		
	elseif key == "escape" then fader:fadeTo( menu )
	end
	
	menuItem:keypressed( key )

end

function credits:mousepressed( x, y, b )
	
	if b == "l" and menuItem.lastItem ~= 0 then
		if menuItem:current( "Back" ) then fader:fadeTo( menu ) end
	end
	
end