-- game lua

game = gamestate:new()

function game:slowmotion( t )
	self.slomoTimer = 0
	self.slowmotionActive = true
	self.slowmotionLength = t
end

function game:init()

	local g = love.graphics

	require "lua/particles"
	particles:init()	
	
	self.grav = 2
	self.slowmotionActive = false
	self.slowmotionLength = 0
	self.slomoRateTimer = .15
	self.slomoTimer = 0
	lightbeam = g.newImage( "gfx/lightbeam.png" )
	
end

function game:enter()

	player:init()
	world:changeMap( "map0" )
	game.deathcount = 0
	pause = false
	
end

function game:update( dt )

	if not pause then
		if self.slowmotionActive and self.slomoTimer < self.slowmotionLength then
			self.slomoRateTimer = self.slomoRateTimer + dt
			self.slomoTimer = self.slomoTimer + dt
		end
			if self.slomoRateTimer > .01 then	
				player:update( dt )
				particles:update( dt )
				world:update( dt )
				soundmanager:update( dt )
				self.slomoRateTimer = 0
			end
		if self.slomoTimer >= self.slowmotionLength then
			self.slowmotionActive = false
			self.slowmotionLength = 0
			self.slomoRateTimer = 1
		end
	end
	
end

function game:draw()
	
	local g = love.graphics
	
	camera:set()
	g.setColor( 255, 255, 255 )
	world:draw()
	player:draw()
	camera:unset()

	if not fancylighting then
		g.setColor( 255, 255, 255 )
		g.draw( lightbeam, player.spotX, player.spotY, 0, 1, 1, lightbeam:getWidth() / 2, lightbeam:getHeight() / 2 )
	end
	
	if debug_mode then
		g.setColor( 255, 255, 255 )
		g.print( "Deaths: "..self.deathcount, 10, 130 )
		g.print( "HP: "..player.health, 10, 150 )
	end
	
	if pause then
		g.setColor( 255, 255, 255 )	
		g.printf( "PAUSED" , width / 2 - 30, height / 2 - font_small:getHeight(), 60, "center" )
		g.printf( " ( 'P' to unpause )" , width / 2 - 50, height / 2 - font_small:getHeight()+ 20, 100, "center" )
	end
	
end

function game:keypressed( key )

	player:keypressed( key )
	if key == "escape" then fader:fadeTo( menu ) end

end