-- intro lua

intro = gamestate:new()

function intro:init()

	local g = love.graphics

	require "lua/gs/menu"

	self.logo = g.newImage( "gfx/intro/logo.png" )
	self.logo2 = g.newImage( "gfx/intro/logo2.png" )
	self.alpha, self.alpha2 = 255, 0
	self.timer = 0

end

function intro:enter()
	love.graphics.setMode( width * scale, height * scale, fullscreen, vsync, 0 )
end

function intro:update( dt )

	local g = love.graphics
	
	if g.isCreated() then
		self.timer = self.timer + dt
	end
	
	if self.timer > 1.5 then 
		if self.alpha > 0 then
			self.alpha = self.alpha - fader.Speed * dt
		elseif self.alpha <= 0 and self.alpha2 < 255 then
			self.alpha2 = self.alpha2 + fader.Speed * dt
		elseif self.alpha2 >= 255 then
			fader:fadeTo( menu )
		end
	end

end

function intro:draw()

	local g = love.graphics

	g.setColor( 255, 255, 255, self.alpha )
	g.draw( self.logo, width / 2 - self.logo:getWidth() / 4, height / 2 - self.logo:getHeight() / 4, 0 , .5, .5 )
	g.setColor( 255, 255, 255, self.alpha2 )
	g.draw( self.logo2, width / 2 - self.logo2:getWidth() / 4, height / 2 - self.logo2:getHeight() / 4, 0, .5, .5 )

end

function intro:keypressed( key )

	if key == "return" or key == "escape" and fader.State ~= "out" then
		gamestate.switch( menu )
		fader.Alpha = 0
	end

end

function intro:mousepressed( x, y, b )

	if b == "l" then 
		gamestate.switch( menu )
		fader.Alpha = 0
	end
	
end