-- menu lua

menu = gamestate:new()

function menu:init()

	local g = love.graphics

	require "lua/gs/game"
	require "lua/world"
	require "lua/objects/player"
	require "lua/gs/credits"
	require "lua/gs/settings"
	require "lua/objects/menuItem"
	
-- loads the background level :)
	world:init()
-- load menuVignette image
	self.vignette = g.newImage( "gfx/vignette.png" )
	
end

function menu:enter()

	menuItem:init()
	world:changeMap( "menubackground" )
	local items = { "Play Game", "Settings", "Credits", "Exit" }
	for i = 1, # items do
		menuItem:new( items[i], width / 2, height / 3 + 50 * i )
	end

	
	
end

function menu:leave()

	menuItem:init() -- delete the old menuItems
	
end

function menu:update( dt )

	menuItem:update( dt )
	world:update( dt )

end

function menu:draw()

	local g = love.graphics

	world:draw()
	g.draw( self.vignette, 0, 0 )
	menuItem:draw()	
	g.setFont( font_xxl )
	g.setColor( 255, 255, 255 )
	g.printf( " Gill ", width / 2 - 100, 20, 200, "center" )

end

function menu:itemAction()

	if menuItem:current( "Play Game" ) then fader:fadeTo( game )
	elseif menuItem:current( "Settings" ) then fader:fadeTo( settings )
	elseif menuItem:current( "Credits" ) then fader:fadeTo( credits )
	elseif menuItem:current( "Exit" ) then fader:fadeTo( 'exit' )
	end

end

function menu:keypressed( key )

	if key == "return" then
		menu:itemAction()
		s_enter:play()
	elseif key == "escape" then fader:fadeTo( "exit" )
	end
	
	menuItem:keypressed( key )

end

function menu:mousepressed( x, y, b )

	if b == "l" and menuItem.lastItem ~= 0 then
		menu:itemAction()
	end

end