-- button lua

button = entity:new()

function button:data()

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .2, 0 )
		v.anim:stop()
		v.reset = false
	end

end

function button:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			if boxCollide( v.hitbox, player.hitbox ) and not v.reset then
				player.actionAvailable = true
				if k.isDown( "x" ) then
					v.anim:seek(2)
					v.animPlay = true
					v.reset = true
					s_button:play()
				end
			end
			
		end
		
		v.anim:update( dt )
		
		if v.animPlay then		
			v.anim:play()
			if v.anim:getCurrentFrame() == 1 then
				v.anim:stop()
				v.animPlay = false
				v.reset = false
			end
		end
	end

end

function button:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x , v.y + 2 )
		end
	end
	
	if self.showInfo then
		self.timer = self.timer + love.timer.getDelta()
		g.printf( "Action", v.x - 50, v.y - 20 + self.movement, 100, "center" )
	end

end