-- checkpoint lua

checkpoint = entity:new()

function checkpoint:data()
	self.currentSpawn = 0
	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .05, 0 )
		v.anim:stop()
	end
end

function checkpoint:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			if boxCollide( v.hitbox, player.hitbox ) and self.currentSpawn ~= i then
				map.spawnX = v.x
				map.spawnY = v.y
				v.activated = true
				if v.activated then
					v.anim:seek( 2 )
					s_checkpoint:play()
				end
				self.currentSpawn = i
			end
		end
	end
	
end

function checkpoint:draw()

	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x, v.y + 2 ) 
		end
	end

end