--- conveyor lua

conveyor = entity:new()

function conveyor:data()

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .02, 0 )
	end

end

function conveyor:update(dt)
	
	local t = self.table
	
	self.extraSpeed = 0

	for i,v in ipairs( t ) do
		if visible(v) then
			if boxCollide( v.hitbox, player.hitbox ) then
				self.extraSpeed = 50
			end
			v.anim:update( dt )
		end
	end
	
end

function conveyor:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255, 255 )
			v.anim:draw( v.x, v.y )
		end
	end
	
end