-- grass lua

grass = entity:new()

function grass:data()

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .18, 0 )
		v.anim:seek( math.random( 1, 4 ) )
	end

end

function grass:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			v.anim:update( dt )
		end
	end
	
end

function grass:draw()

	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x, v.y )
		end
	end

end