-- button lua

menuItem = class:new()

function menuItem:init()

	self.item = 1								-- selected menuitem
	self.textLength = 250						-- length before text break
	self.table = {}								-- holds the various items

end

function menuItem:current( item )
	for i,v in ipairs( self.table ) do
		if item == v.name then
			if i == self.item then
				return true
				else return false
			end
		end
	end
end

function menuItem:new( name, x, y )

	local temp = {
			
				x = x,
				y = y,		
				name = name,			
				r = 255,
				g = 255,
				b = 255,
				font = font_small,
				fxtimer = 0,
								
				}
				
	table.insert( self.table, temp )

end

function menuItem:update(dt)

-- reset the mouse selection
	local lastitem = self.lastItem
		
	for i, v in ipairs( self.table ) do
	
		local hitbox = { x = v.x * scale - 50  , y = v.y * scale - 10, w = font_small:getWidth( v.name ) + 60 * scale , h = font_small:getHeight() + 10 * scale }
		local mx, my = love.mouse.getPosition()
		local mousebox = { x = mx, y = my, w = 1, h = 1 }
		
		if boxCollide( mousebox, hitbox ) then
			self.item = i
			lastItem = i
		end
			
		if self.item == i then 
			v.r, v.g, v.b = 255, 255, 255
			v.font = font_large
			v.fxtimer = v.fxtimer + dt
		else 
			v.r, v.g, v.b = 100, 100, 100			
			v.font = font_normal
			v.fxtimer = 0
		end	
	end
	
end

function menuItem:draw()

	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		-- draw the item
		g.setColor( v.r, v.g, v.b, 255 )
		g.setFont( v.font ) 
		g.push()
		g.translate( 0, math.sin( v.fxtimer * 4 ) * 2 )
		g.printf( ""..v.name, v.x - self.textLength / 2, v.y - v.font:getHeight() / 2, self.textLength, "center" )
		g.pop()
		
	end
	
end

function menuItem:keypressed( key )
			
	if key == "down" then 
		if self.item < #self.table then
			self.item = self.item + 1
		else self.item = 1
		end
		s_select:play()
	elseif key == "up" then 
		if self.item > 1 then
			self.item = self.item - 1
		else self.item = #self.table
		end	
		s_select:play()
	end
	
end 

function menuItem:mousepressed( x, y, b )

	if b == "l" then
	local t = self.table
	
	for i,v in ipairs( t ) do
		local hitbox = { x = v.x - 50, y = v.y - 10, w = font_small:getWidth( v.name ) + 60, h = font_small:getHeight() + 10 }
		local mx, my = love.mouse.getPosition()
		local mousebox = { x = mx, y = my, w = 1, h = 1 }
			if boxCollide( mousebox, hitbox ) then
				s_enter:play()
			end
		end
	end
	
end
