-- spike lua

spike = class:new()

function spike:init()

	local g = love.graphics
	local m = map
	
	self.table = {}
	self.img = g.newImage( "gfx/game/spike.png" )
	self.damageValue = 100
	for i, v in ipairs( m ) do
		if v.Type >= 37 and v.Type <= 40 then
			table.insert( self.table, { x = v.x, y = v.y, w = tile.size, h = tile.size, Type = v.Type, rotation = 0 } )
		end
	end
	local t = self.table
	for i,v in ipairs( t ) do
		if v.Type == 38 then v.rotation = -180
		elseif v.Type == 39 then v.rotation = -90
		elseif v.Type == 40 then v.rotation = -270
		end
	end
	
end

function spike:update(dt)
	-- 37, 38, 39, 40 = hoch, runter, rechts, links
	local t = self.table
	local m = map
	
	for i,v in ipairs( t ) do
		if visible( v ) then
			local hitbox = { x = v.x + 8, y = v.y + 16, w = 16, h = 8 }
			if boxCollide( hitbox, player.hitbox ) then
				particles:new( v.x + 16, v.y + 16, 255, 0, 0, 150 )
				player:applyDamage( self.damageValue )
				s_hurt:play()			
			end
		end
	end
end

function spike:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible( v ) then
			g.setColor( 255, 255, 255 )
			g.draw( self.img, v.x + 16, v.y + 16, v.rotation * math.pi / 180, 1, 1, v.w / 2, v.h / 2 )
		end
	end

end