-- spikewheel lua

spikewheel = entity:new()

function spikewheel:data()
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		v.rotation = 0
		v.vel = math.random( 550, 600 )
	end

end

function spikewheel:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			if player.hitbox ~= nil and boxCollide( v.hitbox, player.hitbox ) then
				particles:new( v.x + self.poX, v.y + self.poY, self.getColors() )
				player:applyDamage( self.damageValue )
			end
			v.rotation = v.rotation + v.vel * dt
			if v.rotation > 360 then v.rotation = 0 end
		end
	end
	
end

function spikewheel:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			g.draw( self.img, v.x + 16, v.y + 16, v.rotation * math.pi / 180, 1, 1, 16, 16 )
		end
	end

end