-- particlesystem lua

particles = class:new()


function particles:init()
	
	local i = love.image
	local g = love.graphics
	self.id = i.newImageData(16, 16)
	
	for x = 0, 15 do
		for y = 0, 15 do
			self.id:setPixel(x, y, 255, 255, 255, 250)
		end
	end
	
	self.img = g.newImage(self.id)

	p = g.newParticleSystem(self.img, 16)
	p:setEmissionRate(190)
	p:setLifetime(.1)
	p:setParticleLife(.25)
	p:setRotation( 1, 200 )
	p:setSpread(20)
	p:setSpeed(280, 0)
	p:setGravity( 10, 100 )
	p:setSizes( .4, .3, .2, .1 )
	p:stop()

end


function particles:update(dt)
		
	p:update(dt)
	
end


function particles:new( x, y, r, g, b, alpha)

	p:reset()
	p:setColors( r, g, b, alpha)
	p:start()
	p:setPosition( x, y )

end


function particles:draw()

	local g = love.graphics
	-- Draw the particle system
	g.draw( p, 0, 0)	

end

